import React from "react";
import { useSharedValue } from "react-native-reanimated";

import Carousel from "./Carousel";
import { CardContainerProps, DataItem } from "./types";

const CarouselContainer: React.FC<CardContainerProps> = ({
  data,
  imageStyle,
  maxVisibleItems,
}) => {
  const prevIndex = useSharedValue(0);
  const currentIndex = useSharedValue(0);
  const animatedValue = useSharedValue(0);

  return (
    <>
      {data.map((item: DataItem, index: number) => (
        <Carousel
          item={item}
          index={index}
          key={item.id}
          prevIndex={prevIndex}
          imageStyle={imageStyle}
          dataLength={data.length}
          currentIndex={currentIndex}
          animatedValue={animatedValue}
          maxVisibleItems={maxVisibleItems}
        />
      ))}
    </>
  );
};

export default CarouselContainer;
